<template>
  <div class="create-credential">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="title">Create new credential</div>
          <div class="subtitle">
            These credentials can be used for interacting with the repository
          </div>
          <div class="input">
            <label>Username</label>
            <div class="input-wrapper">
              <input type="text" placeholder="Username" v-model="username" />
            </div>
          </div>
          <div class="input">
            <label>Password</label>
            <div class="input-wrapper">
              <input
                type="password"
                placeholder="Password"
                v-model="password"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
    <button class="button color-2 float-right" @click="createCred">
      Create credential
    </button>
    <br /><br />
  </div>
</template>

<script>
import { mapActions } from "vuex";
export default {
  data() {
    return {
      username: "",
      password: ""
    };
  },
  methods: {
    ...mapActions("projectModule", ["createCredential"]),
    createCred() {
      this.createCredential({
        repository: this.repository.id,
        username: this.username,
        password: this.password
      }).then(() => {
        this.$emit("close");
      });
    }
  },
  props: {
    repository: {
      required: true
    }
  }
};
</script>

<style lang="scss">
.create-credential {
  padding-top: 10px;
  padding-bottom: 10px;
}
</style>
